package consts

var projectStatusMap = map[int64]string{
	1: "",
}

func GetProjectStatus(status int64) string {
	toast, contain := projectStatusMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var ProjectPlatformMap = map[int64]string{
	1: "",
}

func GetProjectPlatform(status int64) string {
	toast, contain := ProjectPlatformMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var ProjectFormMap = map[int64]string{
	1: "",
}

func GetProjectForm(status int64) string {
	toast, contain := ProjectFormMap[status]
	if contain {
		return toast
	}
	return "未知"
}

var ProjectFeeFormMap = map[int64]string{
	1: "",
}

func GetProjectFeeForms(statuses ...int64) []string {
	var toasts []string
	for _, status := range statuses {
		toast, contain := ProjectFeeFormMap[status]
		if !contain {
			toast = "未知"
		}
		toasts = append(toasts, toast)
	}
	return toasts
}

var ProjectContentTypeMap = map[int64]string{
	1: "",
}

func GetProjectContentType(status int64) string {
	toast, contain := ProjectContentTypeMap[status]
	if contain {
		return toast
	}
	return "未知"
}
