package main

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"youngee_b_api/config"
	_ "youngee_b_api/docs"
	"youngee_b_api/route"
)

func main() {
	r := gin.Default()
	route.InitRoute(r)
	config := config.Init()
	addr := fmt.Sprintf("%v:%v", config.Host, config.Port)
	r.Run(addr) // listen and serve on 0.0.0.0:8080 (for windows "localhost:8080")
}
